The Apache Haus Forum

Forum Topics => Third-party Modules => Topic started by: pgd on March 10, 2014, 05:46:19 PM

Title: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: pgd on March 10, 2014, 05:46:19 PM
Hello,

Do you plan to release mod Subversion (mod_svn) 1.8.8 VC11, X64 in the near future?
Looking for it following a security advisory from Secunia: http://secunia.com/community/advisories/56822.

Thank you
  Daniel
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: mario on March 11, 2014, 12:38:24 PM
it shall come soonish. It was only the lag of time.
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: mario on March 13, 2014, 07:52:10 PM
I will do the compiling today.
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: mario on March 13, 2014, 10:14:08 PM
Compiling done. Took only 2.5 hors  :o

Be happy https://www.apachehaus.com/cgi-bin/download.plx#MODULES24VC11 and please report any thanks or issues.
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: pgd on March 14, 2014, 03:45:52 PM
Compiling done. Took only 2.5 hors  :o

Be happy https://www.apachehaus.com/cgi-bin/download.plx#MODULES24VC11 and please report any thanks or issues.

2.5 hours... wow. Many thanks!
I just downloaded and will try it out early next week.
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: mario on March 17, 2014, 04:57:19 PM
2.5 hours... wow. Many thanks!

Well mod svn takes longer than apache itself.
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: pgd on March 18, 2014, 09:28:18 AM
After 2 days w. new version everything seems to work quite smoothly.
Great work!
Title: Re: Looking for mod Subversion (mod_svn) 1.8.8 VC11, X64
Post by: kstoll on April 16, 2014, 07:37:12 PM
Tried upgrading from the earlier SVN 1.7.10 to 1.8.8 but ran into issues with SVNSYNC not able to validate SSL.  v1.7.10 was using neon but v1.8.8 is now using serf v1.2.1.  Known issues with that version.  Is choice of http/https support yours or from Apache sources?  If yours, can you rebuild with serf v1.3.4?

My config is a 3 node cluster for content management using your Apache, mod_ntlm, and SVN binaries.  Very useful and so far reliable but am currently running Apache v2.4.6 w/ OpenSSL v1.0.1e so am susceptible to Heartbleed.  Want to fix that.

Thanks